<html>
    <head>
        <meta charset="UTF-8">
        <title>Quiz 2 Vue js</title>
    </head>
    <body>

        <div id="app">
            
            <input v-model='user_name'></input>
            <button type="button" v-on:click="add">Add</button>
            
            <ul>
                <users v-for="(user, index) in users" :user="user" :index="index"></users>
            </ul>

        </div>

        <template id="user-template">
            <li>
                {{ user.name }}
                <button type="button" v-on:click="edit">Edit</button> ||
                <button type="button" @click="hapus">Delete</button>
            </li> 
        </template>

        <script src="https://cdn.jsdelivr.net/npm/vue@2.6.12"></script>
        <script src="index.js" charset="utf-8"></script>
    </body>
</html>